
Figure - Bug #117805
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试48小时，出现CRASH: com.android.music（4）
2023-05-08 13:47 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-08

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画的版本）

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-05-09

Test Type: Monkey Test Root cause: AOSP 原生代码问题。

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 600000

2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.music (pid 14266)

// Short Msg: java.lang.ClassCastException

// Long Msg: java.lang.ClassCastException: android.widget.HeaderViewListAdapter cannot be cast to

com.android.internal.view.menu.MenuAdapter

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3189:user/test-keys

// Build Changelist: 3189

// Build Time: 1683302163000

// java.lang.ClassCastException: android.widget.HeaderViewListAdapter cannot be cast to com.android.internal.view.menu.MenuAdapter

//     at android.widget.MenuPopupWindow$MenuDropDownListView.onKeyDown(MenuPopupWindow.java:141)

//     at android.view.KeyEvent.dispatch(KeyEvent.java:2854)

//     at android.view.View.dispatchKeyEvent(View.java:14478)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1959)

//     at android.widget.ListView.dispatchKeyEvent(ListView.java:2348)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.view.ViewGroup.dispatchKeyEvent(ViewGroup.java:1964)

//     at android.widget.PopupWindow$PopupDecorView.dispatchKeyEvent(PopupWindow.java:2544)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processKeyEvent(ViewRootImpl.java:6293)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6159)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)
//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:8585)

//     at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:8536)

//     at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:8504)

//     at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:8709)

//     at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

Related issues:

Related to Figure - Bug # 117807: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-05-08

History

#1 - 2023-05-08 14:00 - CD TEST-方永红

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117800-808

#2 - 2023-05-08 14:32 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-05-08 14:58 - CD TEST-方永红

- Found Version changed from FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.5带开机动画的版本） to

FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)(5.6带开机动画的版本）
#4 - 2023-05-08 19:39 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#5 - 2023-05-08 20:44 - CD FW-廖涛

- Assignee changed from CD APP-王宏 to CD FW-廖涛

#6 - 2023-05-09 09:55 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-09

- Root cause set to AOSP 原生代码问题。

■ Current conclusion

已处理，代码已入库。

■ My analysis

该问题同 https://share.thundersoft.com/redmine/issues/117807 一样，是 AOSP 原生代码的 BUG，已处理。

■ Next action

测试验证。

#7 - 2023-05-12 18:07 - CD TEST-方永红

5.12

0099版本未复现

#8 - 2023-05-15 10:56 - CD TEST-方永红

5.15

13DB未复现

#9 - 2023-05-16 14:19 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

5.16

15日DB未复现

先关闭

#10 - 2023-05-16 14:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error.txt 34.2 MB 2023-05-08 CD TEST-方永红
